using Nest;

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.

builder.Services.AddControllers();
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();

var settings = new ConnectionSettings(new Uri("http://127.0.0.1:9200"))
                           .DefaultIndex("idx_file")
                           ;
var client = new ElasticClient(settings);
builder.Services.AddSingleton<IElasticClient>(client);
//builder.Services.AddHttpClient("es", o =>
//{
//    o.BaseAddress = new Uri("http://127.0.0.1:9200/");
//});

var app = builder.Build();

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI();
}

//app.UseHttpsRedirection();

app.UseAuthorization();

app.MapControllers();

app.Run();
